#ifndef M_AUDIO_H
#define M_AUDIO_H

#include <wModel/file/file.h>

#include <wType/blob.h>
#include <deque>

namespace M {

    /**
     * @todo write docs
     */
    class Audio : public File {
        friend class File;
    protected:
        Audio(W::Blob* p_file, const W::Address& addr, QObject* parent = 0);
        
    public:
        ~Audio();
        
        M::Model::ModelType getType() const override;
        static const M::Model::ModelType type = audio;
        
    protected:
        void initAdditional(const W::String& p_mime) override;
    };

}

#endif // M_AUDIO_H
